hu.akarnokd.rxjava2.processors

## Class FlowableProcessors

- java.lang.Object
- - hu.akarnokd.rxjava2.processors.FlowableProcessors

    public final class FlowableProcessors
    extends java.lang.Object

Utility methods to work with Reactive-Streams Processors and RxJava 2 FlowableProcessors.

### Method Summary

All Methods Static Methods Concrete Methods
`static <T> io.reactivex.processors.FlowableProcessor<T>` `wrap(org.reactivestreams.Processor<T,T> processor)` Wraps an arbitrary Reactive-Streams `Processor` into a `FlowableProcessor`, relaying the onXXX and subscribe() calls to it and providing a rich fluent API on top.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### wrap

    public static <T> io.reactivex.processors.FlowableProcessor<T> wrap(org.reactivestreams.Processor<T,T> processor)

Wraps an arbitrary Reactive-Streams `Processor` into a `FlowableProcessor`, relaying the onXXX and subscribe() calls to it and providing a rich fluent API on top.

Note that RxJava 2 doesn't support a FlowableProcessor with different input and output types.

Type Parameters:
  `T` - the input and output type
Parameters:
  `processor` - the processor to wrap (or return if already a FlowableProcessor), not null
Returns:
  the FlowableProcessor instance possible wrapping the input processor